#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 HTF
version:              0.15.0.0
visibility:           public
id:                   HTF-0.15.0.0-2rPiaweMwW1IpZk8YVe2b3
key:                  HTF-0.15.0.0-2rPiaweMwW1IpZk8YVe2b3
license:              LGPL-2.1-only
copyright:            (c) 2005-2015 Stefan Wehr
maintainer:           Stefan Wehr <wehr@factisresearch.com>
author:               Stefan Wehr <wehr@factisresearch.com>
stability:            Beta
homepage:             https://github.com/skogsbaer/HTF/
synopsis:             The Haskell Test Framework
description:
    The Haskell Test Framework (/HTF/ for short) lets you define and organize unit tests,
    QuickCheck properties,
    and black box tests in an
    easy and convenient way. HTF uses a custom preprocessor that collects
    test definitions automatically.

    HTF produces highly readable output
    for failing test cases: it provides exact file name and line number
    information,
    it colors and pretty prints expected and
    actual results, and it displays a diff highlighting the mismatching parts.

    The documentation of the "Test.Framework.Tutorial" module
    provides a tutorial for HTF. The /sample/ provides a good starting point for
    a project using HTF.

category:             Testing
abi:                  dac11a04ea4dca49bc98f3dff9138290
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.AssertM Test.Framework.BlackBoxTest
    Test.Framework.HUnitWrapper Test.Framework.History
    Test.Framework.JsonOutput Test.Framework.Location
    Test.Framework.Preprocessor Test.Framework.Pretty
    Test.Framework.PrettyHaskell Test.Framework.QuickCheckWrapper
    Test.Framework.TestInterface Test.Framework.TestManager
    Test.Framework.TestTypes Test.Framework.ThreadPool
    Test.Framework.Tutorial Test.Framework.XmlOutput

hidden-modules:
    Paths_HTF Test.Framework.CmdlineOptions Test.Framework.Colors
    Test.Framework.Diff Test.Framework.Process
    Test.Framework.TestReporter Test.Framework.Utils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/HTF-0.15.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/HTF-0.15.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-htf
hs-libraries:         HSHTF-0.15.0.0-2rPiaweMwW1IpZk8YVe2b3
depends:
    Diff-0.4.1-C0doDxdJVKr1dXq6p7UvTO
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-3MSD6r8JrhxF0fuzPWUbkj
    aeson-2.1.1.0-6f0SUJ6dh2u49Oyg8vjVqb array-0.5.4.0 base-4.15.1.0
    base64-bytestring-1.2.1.0-FAR0uALTIcmLdyhw4yH2vJ
    bytestring-0.10.12.1 containers-0.6.4.1
    cpphs-1.20.9.1-1jAFiSyqcHj3RbgQIQP02q directory-1.3.6.2
    haskell-src-1.0.4-IanoRmbjZ9eJBreBknpjAf
    lifted-base-0.2.3.12-DGWW2TxPnoZBJBSR8SvGX8
    monad-control-1.0.3.1-93nYG42oX7NL1c3UTMRyMb mtl-2.2.2
    old-time-1.1.0.3-B4Ro2AUl5kn1VzPHPQkaoe pretty-1.1.3.6
    process-1.6.13.2 random-1.2.1.1-8CHMJ7bQuMH2073ZOampkn
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix text-1.2.5.0 time-1.9.3
    unix-2.7.2.2 vector-0.13.0.0-C4IY0qsV06C5Tx1gtETdzw
    xmlgen-0.6.2.2-5hKWQ2xOz0kB6OnWL7sx6V

haddock-interfaces:   /usr/share/doc/haskell-htf/html/HTF.haddock
haddock-html:         /usr/share/doc/haskell-htf/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

